Subject: Re: linux-next: build failure after merge of the asm-generic tree

From: Hugo Lefeuvre <[email-masked]>
Date: Tue, 19 Feb 2019 12:19:18 +0100

> I'm not sending a pull request for this if it breaks any architectures,
> so I think we need to fix them all, and I suppose we also have to
> change all architectures in the same patch that changes the architecture
> independent declaration, so it doesn't break intermittently.
> 
> At this point, I'd probably drop your patches from my asm-generic
> tree  entirely to avoid the regression, and wait for you to resend
> them all after 5.1-rc1, for inclusion in 5.2.
> 
> Can you elaborate on the original problem that you saw? Maybe
> we can have a different workaround for it in the meantime.

Agree, these two patches should be dropped:

1. iomap: add missing const to ioread*/iowrite addr arg

since there are incompatible definitions or declarations in

arch/alpha/include/asm/core_apecs.h
arch/alpha/include/asm/core_cia.h
arch/alpha/include/asm/core_lca.h
arch/alpha/include/asm/core_marvel.h
arch/alpha/include/asm/core_mcpcia.h
arch/alpha/include/asm/core_t2.h
arch/alpha/include/asm/io.h
arch/alpha/include/asm/io_trivial.h
arch/alpha/include/asm/jensen.h
arch/alpha/include/asm/machvec.h
arch/alpha/kernel/core_marvel.c
arch/alpha/kernel/io.c
arch/parisc/lib/iomap.c
arch/powerpc/kernel/iomap.c
arch/sh/kernel/iomap.c

2. lib/iomap: add missing const to mmio_ins* addr arg

since there are incompatible definitions or declarations in

arch/sh/kernel/iomap.c

I will resubmit them with all changes required for arch/. The ones for
alpha, powerpc and sh are already ready and built with cross compiler.
I still have to setup a cross compiler to build my parisc changes.

Thanks,

regards,
 Hugo

-- 
                Hugo Lefeuvre (hle)    |    www.owl.eu.com
RSA4096_ 360B 03B3 BF27 4F4D 7A3F D5E8 14AA 1EB8 A247 3DFD
ed25519_ 37B2 6D38 0B25 B8A2 6B9F 3A65 A36F 5357 5F2D DC4C